Re: disappearing custom footer???

no insights, but same happens here intermitently.

Richard Morgan PMSC _______________

Reply to
Some One
Loading thread data ...

I noticed this problem and we use the same footer I wrote this macro to aleviate this problem It uses a form to select the printer you want. I believe this was fixed in SP 3.0

formatting link
you have a subscription check out this link you can find it there.

I still use the macro anyway because who knows wich of the thousands of drawings on our system don't have that info saved anymore because of this stupid problem. Feel free to modify it to fit your system.

Corey Scheich

(p.s. I don't know if anyone else had this problem but I used to crash all the time when selecting File/Print I couldn't figure out why and I couldn't get my var to be able to repeat the problem. Anyway this macro seemed to take care of that problem also.)

Private Sub cmdPrint_Click()

Dim swApp As SldWorks.SldWorks Dim Part As SldWorks.ModelDoc2 Dim ShopPrinter As Boolean Dim LaserPrinter As Boolean Dim Engineering As Boolean Dim Purchasing As Boolean Dim PrinterPath As String

ShopPrinter = UserForm1.ShopPrinter.Value LaserPrinter = UserForm1.LaserPrinter.Value Engineering = UserForm1.Engineering.Value Purchasing = UserForm1.Purchasing.Value

Set swApp = Application.SldWorks Set Part = swApp.ActiveDoc

Part.EditSketch

'I think I used this line to figure out 'what string to use for each of our printers 'by watching the "Printer" Variable Printer = Part.Printer

'decide which printer is selected If ShopPrinter = True Then PrinterPath = "\\server\shared printer name" End If If LaserPrinter = True Then PrinterPath = "\\server\shared printer name" End If If Engineering = True Then PrinterPath = "\\server\shared printer name" End If

If Purchasing = True Then PrinterPath = "\\server\shared printer name" End If

'tell solidworks which printer to use Part.Printer PrinterPath

'set orientation to landscape Part.PageSetup.Orientation 2

'set the left footer to plot current date and time Part.PageSetup.LeftFooter "Last Plot Date: &[date] &[time]"

'scale print to fit sheet Part.PageSetup.ScaleToFit True

'send print Part.PrintDirect

Part.EditSketch End End Sub

Reply to
Corey Scheich

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.